class Cache {
  constructor(isLocal = true) {
    this.storage = isLocal ? localStorage : sessionStorage;
  }
  setItem(key, value) {
    if (key === undefined) {
      throw new Error("key is undefined");
    }
    if (value === undefined) {
      throw new Error("value is not undefined");
    }
    this.storage.setItem(key, JSON.stringify(value));
  }
  getItem(key) {
    const result = this.storage.getItem(key);
    if (result) {
      return JSON.parse(result);
    }
    return result;
  }
  removeItem(key) {
    this.storage.removeItem(key);
  }
  clear() {
    this.storage.clear();
  }
}
export const localCache = new Cache();
export const sessionCache = new Cache(false);
